@import '../../../../../scss/variables.scss';

.resource {
  background-color: white;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.resource-download-icon {
  padding: 0.5rem 0.4rem;
  border: 1px solid $grey-super-light-color;
  border-radius: 4px;
  margin-right: 0.75rem;

  a {
    display: flex;
  }

  svg {
    height: 1.5rem;
    fill: $link-color;
  }

  &:hover {
    opacity: 0.7;
  }
}

.resource-left {
  display: flex;
  align-items: center;

  .resource-main {
    margin-left: 1rem;
  }

  .resource-main-name span {
    word-break: break-all;
  }

  .resource-icon {
    ::ng-deep svg {
      height: 2.125rem;

      .grey {
        fill: #707070;
      }
    }

    span {
      display: flex;
    }
  }

  .resource-icon.PDF {
    ::ng-deep svg {
      fill: #ef7575;
    }
  }

  .resource-icon.ZIP {
    ::ng-deep svg {
      fill: #e5bb4e;
    }
  }

  .resource-icon.ECW {
    ::ng-deep svg {
      fill: #da92bb;
    }
  }

  .resource-icon.CSV {
    ::ng-deep svg {
      fill: #86b89b;
    }
  }

  .resource-icon.TIF {
    ::ng-deep svg {
      fill: #7e99ce;
    }
  }
}
